Bug 121565 - rpmbuild -bb kernel-2.4.spec dies for kernel-2.4.20-31.9.src.rpm
rpmbuild -bb kernel-2.4.spec dies for kernel-2.4.20-31.9.src.rpm
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-23 00:31 EDT by Bruce Allen
Modified: 2007-04-18 13:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Allen 2004-04-23 00:31:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
I would like to rebuild the kernel rpms (particularly kernel-source)
using rpmbuild -bb. This dies partway through the build of the binary

My machine is fairly stock RH9.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
(1) download kernel-2.4.20-31.9.src.rpm

(2) rpm -ivh kernel-2.4.20-31.9.src.rpm

(3) cd /usr/src/redhat/SPECS

(4) rpmbuild -bb kernel-2.4.spec

Actual Results:  This dies with:

* Library routines
zlib compression support (CONFIG_ZLIB_DEFLATE) [M/n/y/?]
*** End of Linux kernel configuration.
*** Check the top-level Makefile for additional configuration.
*** Next, you must run 'make dep'.
+ make -s -j 1 dep
scripts/mkdep.c:51: `PATH_MAX' undeclared here (not in a function)
scripts/mkdep.c: In function `add_path':
scripts/mkdep.c:237: `PATH_MAX' undeclared (first use in this function)
scripts/mkdep.c:237: (Each undeclared identifier is reported only once
scripts/mkdep.c:237: for each function it appears in.)
scripts/mkdep.c:237: warning: unused variable `resolved_path'
/usr/include/sys/stat.h: At top level:
scripts/mkdep.c:51: storage size of `cwd' isn't known
make: *** [scripts/mkdep] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.56744 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.56744 (%build)

Expected Results:  Find binary .rpm files in /usr/src/redhat/RPMS/i686

Additional info:

current kernel: Linux lap 2.4.20-30.9 #1 Wed Feb 4 20:44:26 EST 2004
i686 i686 i386 GNU/Linux

update level: all up2date updates apart from 
Comment 1 Bugzilla owner 2004-09-30 11:41:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.